Public Attributes | List of all members
datasgame Struct Reference

A data model for the games. More...

## Public Attributes
vector< datasplayer * > * | playersList
| The players List. More...
vector< string > * | playedCards
| The actual cards in the game. More...
vector< string > * | piocheCards
| The rest of the cards. More...

## Detailed Description

A data model for the games.

A game need a players list, the cards in the turns and the rest of the cards

Definition at line 96 of file cardgame.cpp.

## Member Data Documentation

## ◆ piocheCards

vector<string>* datasgame::piocheCards

The rest of the cards.

Definition at line 112 of file cardgame.cpp.

Referenced by CardGameTools::createGame(), CardGameTools::getGame(), CardGameTools::playACard(), and CardGameTools::writeGame().

## ◆ playedCards

vector<string>* datasgame::playedCards

The actual cards in the game.

Definition at line 107 of file cardgame.cpp.

Referenced by CardGameTools::createGame(), CardGameTools::drawCardInPlay(), CardGameTools::getGame(), CardGameTools::IAPlay(), CardGameTools::playACard(), CardGameTools::testCard(), and CardGameTools::writeGame().

## ◆ playersList

vector<datasplayer *>* datasgame::playersList

The players List.

See also
  datasplayer

Definition at line 102 of file cardgame.cpp.

Referenced by CardGameTools::createGame(), CardGameTools::drawPlayers(), CardGameTools::getGame(), CardGameTools::IAPlay(), CardGameTools::playACard(), CardGameTools::testCard(), CardGameTools::turnPlayers(), CardGameTools::writeGame(), and CardGameTools::writeWinner().

The documentation for this struct was generated from the following file:

- cardgame.cpp